<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/linearLayout3"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/light_gray">

    <LinearLayout
        android:id="@+id/linearLayout4"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:background="@color/surface"
        android:orientation="vertical"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/textView"
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:background="@android:color/transparent"
            android:gravity="center"
            android:text="@string/shopping_cart_linepay_checkout"
            android:textColor="@color/black"
            android:textSize="20sp"
            android:textStyle="bold" />

        <LinearLayout
            android:id="@+id/linearLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="0dp"
            android:orientation="vertical"
            android:paddingVertical="30dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:text="@string/transaction_amount"
                    android:textColor="@color/black"
                    android:textSize="40sp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:text="NT$"
                    android:textColor="@color/primary"
                    android:textSize="48sp"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/textPrice"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:text="0"
                    android:textColor="@color/primary"
                    android:textSize="48sp"
                    android:textStyle="bold" />
            </LinearLayout>
            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:text="@string/align_barcode_to_scanner"
                android:textColor="@color/primary"
                android:textSize="25sp"
                android:textStyle="bold" />
            <TextView
                android:id="@+id/textStatus"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:gravity="center"
                android:text="@string/transaction_status"
                android:textColor="@color/black"
                android:textSize="15sp"
                android:textStyle="" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingVertical="50dp"
            android:gravity="center"
            android:orientation="vertical">

            <ImageView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="100dp"
                android:adjustViewBounds="true"
                android:background="@null"
                android:scaleType="fitCenter"
                android:visibility="gone"
                app:srcCompat="@drawable/checkout_wait" />

            <ImageView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="300dp"
                android:adjustViewBounds="true"
                android:background="@null"
                android:scaleType="fitCenter"
                app:srcCompat="@drawable/tappay30" />

            <ImageView
                android:id="@+id/imageCheckout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:adjustViewBounds="true"
                android:background="@null"
                android:scaleType="fitCenter"
                app:srcCompat="@drawable/payment_channel_qrcode_scan" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="16dp"
            android:gravity="center"
            android:orientation="horizontal">

            <com.google.android.material.button.MaterialButton
                android:id="@+id/buttonCancel"
                style="@style/Widget.MaterialComponents.Button"
                android:layout_width="0dp"
                android:layout_height="64dp"
                android:layout_weight="1"
                android:paddingHorizontal="0dp"
                android:backgroundTint="@color/warning"
                android:text="@string/cancel_payment"
                android:textColor="@color/white"
                android:textSize="16sp"
                app:elevation="4dp"
                app:cornerRadius="8dp" />

            <com.google.android.material.button.MaterialButton
                android:id="@+id/buttonChange"
                style="@style/Widget.MaterialComponents.Button"
                android:layout_width="0dp"
                android:layout_height="64dp"
                android:layout_marginStart="16dp"
                android:layout_weight="1"
                android:paddingHorizontal="0dp"
                android:backgroundTint="@color/infoContainer"
                android:text="@string/change_payment_method"
                android:textColor="@color/black"
                android:textSize="16sp"
                app:elevation="4dp"
                app:cornerRadius="8dp" />
        </LinearLayout>
    </LinearLayout>
</androidx.constraintlayout.widget.ConstraintLayout>
